### *** This class provides Binary Compatibility only, not Source Compatibility ***

Package com.sas.services.deployment

# Class ServiceDeploymentImportException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.sas.util.ChainedException
com.sas.services.ServiceException
com.sas.services.deployment.ServiceDeploymentImportException

All Implemented Interfaces:
  `com.sas.util.ChainedExceptionInterface`, `Serializable`

Direct Known Subclasses:
  `NameNotUniqueImportException`

@SASScope("ALL") @BinaryCompatibilityOnly public class ServiceDeploymentImportException extends ServiceException
Exception indicate that an attempt to import a foundation services deployment from a UTF-8 encoded XML file into a SAS Metadata Repository has failed.

Since:
  1.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ServiceDeploymentImportException()`
  Constructs a default instance without specifying a message or `Throwable` that caused the foundation service deployment import to fail.
  `ServiceDeploymentImportException(String message)`
  Constructs an instance specifying a message, but not a `Throwable` that caused the foundation service deployment import to fail.
  `ServiceDeploymentImportException(Throwable throwable)`
  Constructs an instance specifying the `Throwable` that caused the foundation service deployment import to fail.
  `ServiceDeploymentImportException(Throwable throwable, String message)`
  Constructs an instance specifying both a message and the `Throwable` that caused the foundation service deployment import to fail.

- ## Method Summary

  ### Methods inherited from class com.sas.util.ChainedException

  `chainContains, getRootException, getRootException, getTargetException, getTargetException, printStackTrace, printStackTrace, printStackTrace, toString, toStringBuffer`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ServiceDeploymentImportException

    public ServiceDeploymentImportException()
    Constructs a default instance without specifying a message or `Throwable` that caused the foundation service deployment import to fail.

  - ### ServiceDeploymentImportException

    public ServiceDeploymentImportException(Throwable throwable)
    Constructs an instance specifying the `Throwable` that caused the foundation service deployment import to fail.
    Parameters:
      `throwable` - `Throwable` that prompted the foundation service deployment import to fail.

  - ### ServiceDeploymentImportException

    public ServiceDeploymentImportException(String message)
    Constructs an instance specifying a message, but not a `Throwable` that caused the foundation service deployment import to fail.
    Parameters:
      `message` - Message detailing the encountered exception.

  - ### ServiceDeploymentImportException

    public ServiceDeploymentImportException(Throwable throwable, String message)
    Constructs an instance specifying both a message and the `Throwable` that caused the foundation service deployment import to fail.
    Parameters:
      `throwable` - `Throwable` that prompted the foundation service deployment import to fail.
      `message` - Message detailing the encountered exception.